be.fgov.ehealth.hubservices.core.v2

## Class HasTherapeuticLinkSelectType

- java.lang.Object
- - be.fgov.ehealth.hubservices.core.v2.HasTherapeuticLinkSelectType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2023-04-04T03:03:10+02:00",
                 comments="JAXB RI v2.3.7")
      public class HasTherapeuticLinkSelectType
      extends Object
      implements Serializable

  Java class for HasTherapeuticLinkSelectType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="HasTherapeuticLinkSelectType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="patient" type="{http://www.ehealth.fgov.be/hubservices/core/v2}PatientIdType"/>
               <element name="hcparty" type="{http://www.ehealth.fgov.be/hubservices/core/v2}HCPartyIdType"/>
               <element name="cd" type="{http://www.ehealth.fgov.be/standards/kmehr/cd/v1}CD-THERAPEUTICLINK" maxOccurs="unbounded" minOccurs="0"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HasTherapeuticLinkSelectType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<CDTHERAPEUTICLINK>` | `getCds()` Gets the value of the cds property.
    `HCPartyIdType` | `getHcparty()` Gets the value of the hcparty property.
    `PatientIdType` | `getPatient()` Gets the value of the patient property.
    `void` | `setHcparty(HCPartyIdType value)` Sets the value of the hcparty property.
    `void` | `setPatient(PatientIdType value)` Sets the value of the patient property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HasTherapeuticLinkSelectType

          public HasTherapeuticLinkSelectType()

  - ### Method Detail

    - #### getPatient

          public PatientIdType getPatient()

      Gets the value of the patient property.
      Returns:
        possible object is `PatientIdType`

    - #### setPatient

          public void setPatient(PatientIdType value)

      Sets the value of the patient property.
      Parameters:
        `value` - allowed object is `PatientIdType`

    - #### getHcparty

          public HCPartyIdType getHcparty()

      Gets the value of the hcparty property.
      Returns:
        possible object is `HCPartyIdType`

    - #### setHcparty

          public void setHcparty(HCPartyIdType value)

      Sets the value of the hcparty property.
      Parameters:
        `value` - allowed object is `HCPartyIdType`

    - #### getCds

          public List<CDTHERAPEUTICLINK> getCds()

      Gets the value of the cds property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the cds property.

      For example, to add a new item, do as follows:

              getCds().add(newItem);

      Objects of the following type(s) are allowed in the list `CDTHERAPEUTICLINK`

Connector Packaging PERSPRACTICALNURSE 4.3.0 API
Copyright © {inceptionYear}-2023 eHealth. All Rights Reserved.